- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# FbxIODefaultRenderResolution Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Render and resolution information.

Definition at line 136 of file fbxio.h.

`#include <fbxio.h>`

List of all members.

## Public Attributes
bool | mIsOK
| If the resolution data is ready.
FbxString | mCameraName
| camera name.
FbxString | mResolutionMode
| resolution mode.
double | mResolutionW
| resolution width.
double | mResolutionH
| resolution height.
## Constructors and Destructor
| FbxIODefaultRenderResolution ()
| Default constructor.
## Member Access
void | Reset ()
| Reset values to default.

## Constructor & Destructor Documentation

FbxIODefaultRenderResolution | ( |  | ) |

Default constructor.

## Member Function Documentation

void Reset | ( |  | ) |

Search for all occurrences

Reset values to default.

## Member Data Documentation

bool mIsOK

Search for all occurrences

If the resolution data is ready.

Definition at line 140 of file fbxio.h.

FbxString mCameraName

Search for all occurrences

camera name.

Definition at line 142 of file fbxio.h.

FbxString mResolutionMode

Search for all occurrences

resolution mode.

ex: "Fixed Resolution","Fixed Ratio","Fixed Width","Fixed Height","Window Size"

Definition at line 144 of file fbxio.h.

double mResolutionW

Search for all occurrences

resolution width.

Definition at line 146 of file fbxio.h.

double mResolutionH

Search for all occurrences

resolution height.

Definition at line 148 of file fbxio.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbx/fbxio.h

FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution
FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution FbxIODefaultRenderResolution